HFST-PMATCH2FST(1)

NAME
hfst-pmatch2fst - =Compile regular expressions into transducer(s)

SYNOPSIS
hfst-pmatch2fst [OPTIONS...] [INFILE]

DESCRIPTION
Compile regular expressions into transducer(s)

    (Experimental version)

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  String and format options:

-e, --epsilon=EPS
    Map EPS as zero

--flatten
    Compile in all RTNs

--cosine-distances
    When compiling Like() operations, include cosine distance info

If OUTFILE or INFILE is missing or -, standard streams will be used. If EPS is not defined, the default representation of 0 is used Weights are currently not implemented.

EXAMPLES

echo "Define TOP
    UppercaseAlpha Alpha* LC({professor}) EndTag(ProfName);" | hfst-pmatch2fst

    create matcher that tags "professor Chomsky" as "professor <ProfName>Chomsky</ProfName>"

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-pmatch2fst home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//Pmatch2Fst>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.